Bug 27195 - need updates to ks.orth file
need updates to ks.orth file
Status: RESOLVED FIXED
Product: fontconfig
Classification: Unclassified
Component: orth
2.8
Other All
: medium normal
Assigned To: Roozbeh Pournader
Behdad Esfahbod
:
Depends on:
Blocks:
  Show dependency treegraph
 
Reported: 2010-03-19 06:12 UTC by Pravin
Modified: 2012-02-20 21:48 UTC (History)
2 users (show)

See Also:


Attachments
included kashmiri character from Unicode 6.0 (405 bytes, text/plain)
2011-11-10 20:09 UTC, Pravin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Pravin 2010-03-19 06:12:34 UTC
see http://www.unicode.org/charts/PDF/U0600.pdf

on third page, it is listed in annotation which characters suppose to use for kashmiri

so they are quite different from presently included ur.orth file
Comment 1 Behdad Esfahbod 2011-03-14 13:39:17 UTC
"ur.orth" or "ks.orth"?

Got patch?
Comment 2 Behdad Esfahbod 2011-03-14 13:40:07 UTC
Oh I see what you mean.  I just updated the Uyghar orth.  Does that resolve this bug?
Comment 3 Pravin 2011-03-15 00:15:32 UTC
i think some confusion

ur.orth included in ks.orth, but there are some characters in Unicode Code chart those are specifically for kashmiri

i.e U+0620

so i think this character should come in ks.orth file

no patch :(
Comment 5 Pravin 2011-11-10 20:09:29 UTC
Created attachment 53389 [details]
included kashmiri character from Unicode 6.0

Thanks tagoh for motivation was bit lazy :)

Even in ks.orth already comment present

"# Unicode 5.1 does not contain all the letters required in the orthography,
# including Wavy Hamza Below and the Alef Maksura With Ring Below. We'll
# just include Urdu for now."

reference http://www.unicode.org/charts/PDF/U0600.pdf
Comment 6 Akira TAGOH 2011-11-14 00:26:51 UTC
(In reply to comment #5)
> Created attachment 53389 [details]
> included kashmiri character from Unicode 6.0
> 
> Thanks tagoh for motivation was bit lazy :)
> 
> Even in ks.orth already comment present
> 
> "# Unicode 5.1 does not contain all the letters required in the orthography,
> # including Wavy Hamza Below and the Alef Maksura With Ring Below. We'll
> # just include Urdu for now."
> 
> reference http://www.unicode.org/charts/PDF/U0600.pdf

Is it everything to support Kashmiri? or still missing any glyphs and better keep the above comment for further improvement?
Comment 7 Pravin 2011-11-14 00:55:18 UTC
Good catch
Yes that statement not required now. This is sufficient.
Comment 8 Akira TAGOH 2011-11-14 01:26:51 UTC
Thanks. proposed patch is here:
http://cgit.freedesktop.org/~tagoh/fontconfig/log/?h=bz27195
Comment 9 Akira TAGOH 2012-02-20 21:48:25 UTC
Fixed in dedc1673.